Ads · Conversions

List conversion actions

Returns conversion actions. Works with Google Ads.

GEThttps://api.pozy.ai/v1/ads/conversions/actions
Google WorkspacelistConversionActions

Guide: Conversions API

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
accountIdrequiredstring
adAccountIdstring
customerIdstring
typestring

Example

curl -X GET "https://api.pozy.ai/v1/ads/conversions/actions?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • customerIdstring
  • actionsarray of object
    14 child fields
    • idstringrequired
    • namestringrequired
    • typestringrequired
    • statusstringrequired
    • categorystringrequired
    • originstring
    • primaryForGoalboolean
    • defaultValuenumber
    • defaultCurrencystring
    • alwaysUseDefaultValueboolean
    • countingTypestring
    • clickThroughLookbackWindowDaysinteger
    • viewThroughLookbackWindowDaysinteger
    • tagSnippetsarray of objectrequired
      4 child fields
      • typestringrequired
      • pageFormatstring
      • globalSiteTagstring
      • eventSnippetstring
  • cachedAtstring (date-time)

    Can be null.

  • staleboolean
200 response
{
  "customerId": "691909ff82eb5ed7c816716d",
  "actions": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "name": "Acme",
      "type": "string",
      "status": "active",
      "category": "string",
      "origin": "string",
      "primaryForGoal": true,
      "defaultValue": 12.5,
      "defaultCurrency": "string",
      "alwaysUseDefaultValue": true,
      "countingType": "string",
      "clickThroughLookbackWindowDays": 1,
      "viewThroughLookbackWindowDays": 1,
      "tagSnippets": [
        {
          "type": "string",
          "pageFormat": "string",
          "globalSiteTag": "string",
          "eventSnippet": "string"
        }
      ]
    }
  ],
  "cachedAt": "2026-10-02T09:00:00.000Z",
  "stale": true
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Conversions